diff --git a/backend/src/graphql/resolver/TransactionLinkResolver.ts b/backend/src/graphql/resolver/TransactionLinkResolver.ts
index 733f1db28..8696065ed 100644
--- a/backend/src/graphql/resolver/TransactionLinkResolver.ts
+++ b/backend/src/graphql/resolver/TransactionLinkResolver.ts
@@ -1,7 +1,21 @@
+import { backendLogger as logger } from '@/server/logger'
 import { Context, getUser } from '@/server/context'
-import { Resolver, Args, Arg, Authorized, Ctx, Mutation, Query, Int } from 'type-graphql'
+import { getConnection } from '@dbTools/typeorm'
+import {
+  Resolver,
+  Args,
+  Arg,
+  Authorized,
+  Ctx,
+  Mutation,
+  Query,
+  Int,
+  createUnionType,
+} from 'type-graphql'
 import { TransactionLink } from '@model/TransactionLink'
+import { ContributionLink } from '@model/ContributionLink'
 import { TransactionLink as dbTransactionLink } from '@entity/TransactionLink'
+import { Transaction as DbTransaction } from '@entity/Transaction'
 import { User as dbUser } from '@entity/User'
 import TransactionLinkArgs from '@arg/TransactionLinkArgs'
 import Paginated from '@arg/Paginated'
@@ -12,6 +26,17 @@ import { User } from '@model/User'
 import { calculateDecay } from '@/util/decay'
 import { executeTransaction } from './TransactionResolver'
 import { Order } from '@enum/Order'
+import { Contribution as DbContribution } from '@entity/Contribution'
+import { ContributionLink as DbContributionLink } from '@entity/ContributionLink'
+import { getUserCreation, validateContribution } from './util/creations'
+import { Decay } from '@model/Decay'
+import Decimal from 'decimal.js-light'
+import { TransactionTypeId } from '@enum/TransactionTypeId'
+
+const QueryLinkResult = createUnionType({
+  name: 'QueryLinkResult', // the name of the GraphQL union
+  types: () => [TransactionLink, ContributionLink] as const, // function that returns tuple of object types classes
+})
 
 // TODO: do not export, test it inside the resolver
 export const transactionLinkCode = (date: Date): string => {
@@ -95,15 +120,23 @@ export class TransactionLinkResolver {
   }
 
   @Authorized([RIGHTS.QUERY_TRANSACTION_LINK])
-  @Query(() => TransactionLink)
-  async queryTransactionLink(@Arg('code') code: string): Promise<TransactionLink> {
-    const transactionLink = await dbTransactionLink.findOneOrFail({ code }, { withDeleted: true })
-    const user = await dbUser.findOneOrFail({ id: transactionLink.userId })
-    let redeemedBy: User | null = null
-    if (transactionLink && transactionLink.redeemedBy) {
-      redeemedBy = new User(await dbUser.findOneOrFail({ id: transactionLink.redeemedBy }))
+  @Query(() => QueryLinkResult)
+  async queryTransactionLink(@Arg('code') code: string): Promise<typeof QueryLinkResult> {
+    if (code.match(/^CL-/)) {
+      const contributionLink = await DbContributionLink.findOneOrFail(
+        { code: code.replace('CL-', '') },
+        { withDeleted: true },
+      )
+      return new ContributionLink(contributionLink)
+    } else {
+      const transactionLink = await dbTransactionLink.findOneOrFail({ code }, { withDeleted: true })
+      const user = await dbUser.findOneOrFail({ id: transactionLink.userId })
+      let redeemedBy: User | null = null
+      if (transactionLink && transactionLink.redeemedBy) {
+        redeemedBy = new User(await dbUser.findOneOrFail({ id: transactionLink.redeemedBy }))
+      }
+      return new TransactionLink(transactionLink, new User(user), redeemedBy)
     }
-    return new TransactionLink(transactionLink, new User(user), redeemedBy)
   }
 
   @Authorized([RIGHTS.LIST_TRANSACTION_LINKS])
@@ -137,31 +170,137 @@ export class TransactionLinkResolver {
     @Ctx() context: Context,
   ): Promise<boolean> {
     const user = getUser(context)
-    const transactionLink = await dbTransactionLink.findOneOrFail({ code })
-    const linkedUser = await dbUser.findOneOrFail({ id: transactionLink.userId })
-
     const now = new Date()
 
-    if (user.id === linkedUser.id) {
-      throw new Error('Cannot redeem own transaction link.')
+    if (code.match(/^CL-/)) {
+      logger.info('redeem contribution link...')
+      const queryRunner = getConnection().createQueryRunner()
+      await queryRunner.connect()
+      await queryRunner.startTransaction('SERIALIZABLE')
+      try {
+        const contributionLink = await queryRunner.manager
+          .createQueryBuilder()
+          .select('contributionLink')
+          .from(DbContributionLink, 'contributionLink')
+          .where('contributionLink.code = :code', { code: code.replace('CL-', '') })
+          .getOne()
+        if (!contributionLink) {
+          logger.error('no contribution link found to given code:', code)
+          throw new Error('No contribution link found')
+        }
+        logger.info('...contribution link found with id', contributionLink.id)
+        if (new Date(contributionLink.validFrom).getTime() > now.getTime()) {
+          logger.error(
+            'contribution link is not valid yet. Valid from: ',
+            contributionLink.validFrom,
+          )
+          throw new Error('Contribution link not valid yet')
+        }
+        if (contributionLink.validTo) {
+          if (new Date(contributionLink.validTo).setHours(23, 59, 59) < now.getTime()) {
+            logger.error('contribution link is depricated. Valid to: ', contributionLink.validTo)
+            throw new Error('Contribution link is depricated')
+          }
+        }
+        if (contributionLink.cycle !== 'ONCE') {
+          logger.error('contribution link has unknown cycle', contributionLink.cycle)
+          throw new Error('Contribution link has unknown cycle')
+        }
+        // Test ONCE rule
+        const alreadyRedeemed = await queryRunner.manager
+          .createQueryBuilder()
+          .select('contribution')
+          .from(DbContribution, 'contribution')
+          .where('contribution.contributionLinkId = :linkId AND contribution.userId = :id', {
+            linkId: contributionLink.id,
+            id: user.id,
+          })
+          .getOne()
+        if (alreadyRedeemed) {
+          logger.error('contribution link with rule ONCE already redeemed by user with id', user.id)
+          throw new Error('Contribution link already redeemed')
+        }
+
+        const creations = await getUserCreation(user.id, false)
+        logger.info('open creations', creations)
+        validateContribution(creations, contributionLink.amount, now)
+        const contribution = new DbContribution()
+        contribution.userId = user.id
+        contribution.createdAt = now
+        contribution.contributionDate = now
+        contribution.memo = contributionLink.memo
+        contribution.amount = contributionLink.amount
+        contribution.contributionLinkId = contributionLink.id
+        await queryRunner.manager.insert(DbContribution, contribution)
+
+        const lastTransaction = await queryRunner.manager
+          .createQueryBuilder()
+          .select('transaction')
+          .from(DbTransaction, 'transaction')
+          .where('transaction.userId = :id', { id: user.id })
+          .orderBy('transaction.balanceDate', 'DESC')
+          .getOne()
+        let newBalance = new Decimal(0)
+
+        let decay: Decay | null = null
+        if (lastTransaction) {
+          decay = calculateDecay(lastTransaction.balance, lastTransaction.balanceDate, now)
+          newBalance = decay.balance
+        }
+        newBalance = newBalance.add(contributionLink.amount.toString())
+
+        const transaction = new DbTransaction()
+        transaction.typeId = TransactionTypeId.CREATION
+        transaction.memo = contribution.memo
+        transaction.userId = contribution.userId
+        transaction.previous = lastTransaction ? lastTransaction.id : null
+        transaction.amount = contribution.amount
+        transaction.creationDate = contribution.contributionDate
+        transaction.balance = newBalance
+        transaction.balanceDate = now
+        transaction.decay = decay ? decay.decay : new Decimal(0)
+        transaction.decayStart = decay ? decay.start : null
+        await queryRunner.manager.insert(DbTransaction, transaction)
+
+        contribution.confirmedAt = now
+        contribution.transactionId = transaction.id
+        await queryRunner.manager.update(DbContribution, { id: contribution.id }, contribution)
+
+        await queryRunner.commitTransaction()
+        logger.info('creation from contribution link commited successfuly.')
+      } catch (e) {
+        await queryRunner.rollbackTransaction()
+        logger.error(`Creation from contribution link was not successful: ${e}`)
+        throw new Error(`Creation from contribution link was not successful. ${e}`)
+      } finally {
+        await queryRunner.release()
+      }
+      return true
+    } else {
+      const transactionLink = await dbTransactionLink.findOneOrFail({ code })
+      const linkedUser = await dbUser.findOneOrFail({ id: transactionLink.userId })
+
+      if (user.id === linkedUser.id) {
+        throw new Error('Cannot redeem own transaction link.')
+      }
+
+      if (transactionLink.validUntil.getTime() < now.getTime()) {
+        throw new Error('Transaction Link is not valid anymore.')
+      }
+
+      if (transactionLink.redeemedBy) {
+        throw new Error('Transaction Link already redeemed.')
+      }
+
+      await executeTransaction(
+        transactionLink.amount,
+        transactionLink.memo,
+        linkedUser,
+        user,
+        transactionLink,
+      )
+
+      return true
     }
-
-    if (transactionLink.validUntil.getTime() < now.getTime()) {
-      throw new Error('Transaction Link is not valid anymore.')
-    }
-
-    if (transactionLink.redeemedBy) {
-      throw new Error('Transaction Link already redeemed.')
-    }
-
-    await executeTransaction(
-      transactionLink.amount,
-      transactionLink.memo,
-      linkedUser,
-      user,
-      transactionLink,
-    )
-
-    return true
   }
 }
diff --git a/backend/src/graphql/resolver/TransactionResolver.ts b/backend/src/graphql/resolver/TransactionResolver.ts
index 023e5b2ff..bc062a1f4 100644
--- a/backend/src/graphql/resolver/TransactionResolver.ts
+++ b/backend/src/graphql/resolver/TransactionResolver.ts
@@ -34,9 +34,7 @@ import { virtualLinkTransaction, virtualDecayTransaction } from '@/util/virtualT
 import Decimal from 'decimal.js-light'
 
 import { BalanceResolver } from './BalanceResolver'
-
-const MEMO_MAX_CHARS = 255
-const MEMO_MIN_CHARS = 5
+import { MEMO_MAX_CHARS, MEMO_MIN_CHARS } from './const/const'
 
 export const executeTransaction = async (
   amount: Decimal,
diff --git a/backend/src/graphql/resolver/UserResolver.test.ts b/backend/src/graphql/resolver/UserResolver.test.ts
index 78b630834..a2a499224 100644
--- a/backend/src/graphql/resolver/UserResolver.test.ts
+++ b/backend/src/graphql/resolver/UserResolver.test.ts
@@ -11,8 +11,13 @@ import { LoginEmailOptIn } from '@entity/LoginEmailOptIn'
 import { User } from '@entity/User'
 import CONFIG from '@/config'
 import { sendAccountActivationEmail } from '@/mailer/sendAccountActivationEmail'
+import { sendAccountMultiRegistrationEmail } from '@/mailer/sendAccountMultiRegistrationEmail'
 import { sendResetPasswordEmail } from '@/mailer/sendResetPasswordEmail'
 import { printTimeDuration, activationLink } from './UserResolver'
+import { contributionLinkFactory } from '@/seeds/factory/contributionLink'
+// import { transactionLinkFactory } from '@/seeds/factory/transactionLink'
+import { ContributionLink } from '@model/ContributionLink'
+// import { TransactionLink } from '@entity/TransactionLink'
 
 import { logger } from '@test/testSetup'
 
@@ -25,6 +30,13 @@ jest.mock('@/mailer/sendAccountActivationEmail', () => {
   }
 })
 
+jest.mock('@/mailer/sendAccountMultiRegistrationEmail', () => {
+  return {
+    __esModule: true,
+    sendAccountMultiRegistrationEmail: jest.fn(),
+  }
+})
+
 jest.mock('@/mailer/sendResetPasswordEmail', () => {
   return {
     __esModule: true,
@@ -69,6 +81,7 @@ describe('UserResolver', () => {
 
     let result: any
     let emailOptIn: string
+    let user: User[]
 
     beforeAll(async () => {
       jest.clearAllMocks()
@@ -86,7 +99,6 @@ describe('UserResolver', () => {
     })
 
     describe('valid input data', () => {
-      let user: User[]
       let loginEmailOptIn: LoginEmailOptIn[]
       beforeAll(async () => {
         user = await User.find()
@@ -114,6 +126,7 @@ describe('UserResolver', () => {
               deletedAt: null,
               publisherId: 1234,
               referrerId: null,
+              contributionLinkId: null,
             },
           ])
         })
@@ -151,14 +164,33 @@ describe('UserResolver', () => {
     })
 
     describe('email already exists', () => {
-      it('throws and logs an error', async () => {
-        const mutation = await mutate({ mutation: createUser, variables })
+      let mutation: User
+      beforeAll(async () => {
+        mutation = await mutate({ mutation: createUser, variables })
+      })
+
+      it('logs an info', async () => {
+        expect(logger.info).toBeCalledWith('User already exists with this email=peter@lustig.de')
+      })
+
+      it('sends an account multi registration email', () => {
+        expect(sendAccountMultiRegistrationEmail).toBeCalledWith({
+          firstName: 'Peter',
+          lastName: 'Lustig',
+          email: 'peter@lustig.de',
+        })
+      })
+
+      it('results with partly faked user with random "id"', async () => {
         expect(mutation).toEqual(
           expect.objectContaining({
-            errors: [new GraphQLError('User already exists.')],
+            data: {
+              createUser: {
+                id: expect.any(Number),
+              },
+            },
           }),
         )
-        expect(logger.error).toBeCalledWith('User already exists with this email=peter@lustig.de')
       })
     })
 
@@ -195,6 +227,72 @@ describe('UserResolver', () => {
         )
       })
     })
+
+    describe('redeem codes', () => {
+      describe('contribution link', () => {
+        let link: ContributionLink
+        beforeAll(async () => {
+          // activate account of admin Peter Lustig
+          await mutate({
+            mutation: setPassword,
+            variables: { code: emailOptIn, password: 'Aa12345_' },
+          })
+          // make Peter Lustig Admin
+          const peter = await User.findOneOrFail({ id: user[0].id })
+          peter.isAdmin = new Date()
+          await peter.save()
+          // factory logs in as Peter Lustig
+          link = await contributionLinkFactory(testEnv, {
+            name: 'Dokumenta 2022',
+            memo: 'Vielen Dank für deinen Besuch bei der Dokumenta 2022',
+            amount: 200,
+            validFrom: new Date(2022, 5, 18),
+            validTo: new Date(2022, 8, 25),
+          })
+          resetToken()
+          await mutate({
+            mutation: createUser,
+            variables: { ...variables, email: 'ein@besucher.de', redeemCode: 'CL-' + link.code },
+          })
+        })
+
+        it('sets the contribution link id', async () => {
+          await expect(User.findOne({ email: 'ein@besucher.de' })).resolves.toEqual(
+            expect.objectContaining({
+              contributionLinkId: link.id,
+            }),
+          )
+        })
+      })
+
+      /* A transaction link requires GDD on account
+      describe('transaction link', () => {
+        let code: string
+        beforeAll(async () => {
+          // factory logs in as Peter Lustig
+          await transactionLinkFactory(testEnv, {
+            email: 'peter@lustig.de',
+            amount: 19.99,
+            memo: `Kein Trick, keine Zauberrei,
+bei Gradidio sei dabei!`,
+          })
+          const transactionLink = await TransactionLink.findOneOrFail()
+          resetToken()
+          await mutate({
+            mutation: createUser,
+            variables: { ...variables, email: 'neuer@user.de', redeemCode: transactionLink.code },
+          })          
+        })
+
+        it('sets the referrer id to Peter Lustigs id', async () => {
+          await expect(User.findOne({ email: 'neuer@user.de' })).resolves.toEqual(expect.objectContaining({
+            referrerId: user[0].id,
+          }))
+        })
+      })
+
+      */
+    })
   })
 
   describe('setPassword', () => {
diff --git a/backend/src/graphql/resolver/UserResolver.ts b/backend/src/graphql/resolver/UserResolver.ts
index 9b42d76b5..a89a8cb0b 100644
--- a/backend/src/graphql/resolver/UserResolver.ts
+++ b/backend/src/graphql/resolver/UserResolver.ts
@@ -7,7 +7,9 @@ import { getConnection } from '@dbTools/typeorm'
 import CONFIG from '@/config'
 import { User } from '@model/User'
 import { User as DbUser } from '@entity/User'
+import { communityDbUser } from '@/util/communityUser'
 import { TransactionLink as dbTransactionLink } from '@entity/TransactionLink'
+import { ContributionLink as dbContributionLink } from '@entity/ContributionLink'
 import { encode } from '@/auth/JWT'
 import CreateUserArgs from '@arg/CreateUserArgs'
 import UnsecureLoginArgs from '@arg/UnsecureLoginArgs'
@@ -17,9 +19,19 @@ import { OptInType } from '@enum/OptInType'
 import { LoginEmailOptIn } from '@entity/LoginEmailOptIn'
 import { sendResetPasswordEmail as sendResetPasswordEmailMailer } from '@/mailer/sendResetPasswordEmail'
 import { sendAccountActivationEmail } from '@/mailer/sendAccountActivationEmail'
+import { sendAccountMultiRegistrationEmail } from '@/mailer/sendAccountMultiRegistrationEmail'
 import { klicktippSignIn } from '@/apis/KlicktippController'
 import { RIGHTS } from '@/auth/RIGHTS'
 import { hasElopageBuys } from '@/util/hasElopageBuys'
+import { eventProtocol } from '@/event/EventProtocolEmitter'
+import {
+  Event,
+  EventLogin,
+  EventRedeemRegister,
+  EventRegister,
+  EventSendConfirmationEmail,
+} from '@/event/Event'
+import { getUserCreation } from './util/creations'
 
 // eslint-disable-next-line @typescript-eslint/no-var-requires
 const sodium = require('sodium-native')
@@ -221,7 +233,7 @@ export class UserResolver {
     logger.info('verifyLogin...')
     // TODO refactor and do not have duplicate code with login(see below)
     const userEntity = getUser(context)
-    const user = new User(userEntity)
+    const user = new User(userEntity, await getUserCreation(userEntity.id))
     // user.pubkey = userEntity.pubKey.toString('hex')
     // Elopage Status & Stored PublisherId
     user.hasElopage = await this.hasElopage(context)
@@ -271,7 +283,7 @@ export class UserResolver {
     logger.addContext('user', dbUser.id)
     logger.debug('login credentials valid...')
 
-    const user = new User(dbUser)
+    const user = new User(dbUser, await getUserCreation(dbUser.id))
     logger.debug('user=' + user)
 
     // Elopage Status & Stored PublisherId
@@ -287,6 +299,9 @@ export class UserResolver {
       key: 'token',
       value: encode(dbUser.pubKey),
     })
+    const ev = new EventLogin()
+    ev.userId = user.id
+    eventProtocol.writeEvent(new Event().setEventLogin(ev))
     logger.info('successful Login:' + user)
     return user
   }
@@ -327,10 +342,35 @@ export class UserResolver {
     // TODO we cannot use repository.count(), since it does not allow to specify if you want to include the soft deletes
     const userFound = await DbUser.findOne({ email }, { withDeleted: true })
     logger.info(`DbUser.findOne(email=${email}) = ${userFound}`)
+
     if (userFound) {
-      logger.error('User already exists with this email=' + email)
+      logger.info('User already exists with this email=' + email)
       // TODO: this is unsecure, but the current implementation of the login server. This way it can be queried if the user with given EMail is existent.
-      throw new Error(`User already exists.`)
+
+      const user = new User(communityDbUser)
+      user.id = sodium.randombytes_random() % (2048 * 16) // TODO: for a better faking derive id from email so that it will be always the same id when the same email comes in?
+      user.email = email
+      user.firstName = firstName
+      user.lastName = lastName
+      user.language = language
+      user.publisherId = publisherId
+      logger.debug('partly faked user=' + user)
+
+      // eslint-disable-next-line @typescript-eslint/no-unused-vars
+      const emailSent = await sendAccountMultiRegistrationEmail({
+        firstName,
+        lastName,
+        email,
+      })
+      logger.info(`sendAccountMultiRegistrationEmail of ${firstName}.${lastName} to ${email}`)
+      /* uncomment this, when you need the activation link on the console */
+      // In case EMails are disabled log the activation link for the user
+      if (!emailSent) {
+        logger.debug(`Email not send!`)
+      }
+      logger.info('createUser() faked and send multi registration mail...')
+
+      return user
     }
 
     const passphrase = PassphraseGenerate()
@@ -339,6 +379,9 @@ export class UserResolver {
     // const encryptedPrivkey = SecretKeyCryptographyEncrypt(keyPair[1], passwordHash[1])
     const emailHash = getEmailHash(email)
 
+    const eventRegister = new EventRegister()
+    const eventRedeemRegister = new EventRedeemRegister()
+    const eventSendConfirmEmail = new EventSendConfirmationEmail()
     const dbUser = new DbUser()
     dbUser.email = email
     dbUser.firstName = firstName
@@ -349,10 +392,22 @@ export class UserResolver {
     dbUser.passphrase = passphrase.join(' ')
     logger.debug('new dbUser=' + dbUser)
     if (redeemCode) {
-      const transactionLink = await dbTransactionLink.findOne({ code: redeemCode })
-      logger.info('redeemCode found transactionLink=' + transactionLink)
-      if (transactionLink) {
-        dbUser.referrerId = transactionLink.userId
+      if (redeemCode.match(/^CL-/)) {
+        const contributionLink = await dbContributionLink.findOne({
+          code: redeemCode.replace('CL-', ''),
+        })
+        logger.info('redeemCode found contributionLink=' + contributionLink)
+        if (contributionLink) {
+          dbUser.contributionLinkId = contributionLink.id
+          eventRedeemRegister.contributionId = contributionLink.id
+        }
+      } else {
+        const transactionLink = await dbTransactionLink.findOne({ code: redeemCode })
+        logger.info('redeemCode found transactionLink=' + transactionLink)
+        if (transactionLink) {
+          dbUser.referrerId = transactionLink.userId
+          eventRedeemRegister.transactionId = transactionLink.id
+        }
       }
     }
     // TODO this field has no null allowed unlike the loginServer table
@@ -362,6 +417,7 @@ export class UserResolver {
     // loginUser.pubKey = keyPair[0]
     // loginUser.privKey = encryptedPrivkey
 
+    const event = new Event()
     const queryRunner = getConnection().createQueryRunner()
     await queryRunner.connect()
     await queryRunner.startTransaction('READ UNCOMMITTED')
@@ -391,6 +447,9 @@ export class UserResolver {
         duration: printTimeDuration(CONFIG.EMAIL_CODE_VALID_TIME),
       })
       logger.info(`sendAccountActivationEmail of ${firstName}.${lastName} to ${email}`)
+      eventSendConfirmEmail.userId = dbUser.id
+      eventProtocol.writeEvent(event.setEventSendConfirmationEmail(eventSendConfirmEmail))
+
       /* uncomment this, when you need the activation link on the console */
       // In case EMails are disabled log the activation link for the user
       if (!emailSent) {
@@ -406,6 +465,15 @@ export class UserResolver {
       await queryRunner.release()
     }
     logger.info('createUser() successful...')
+
+    if (redeemCode) {
+      eventRedeemRegister.userId = dbUser.id
+      eventProtocol.writeEvent(event.setEventRedeemRegister(eventRedeemRegister))
+    } else {
+      eventRegister.userId = dbUser.id
+      eventProtocol.writeEvent(event.setEventRegister(eventRegister))
+    }
+
     return new User(dbUser)
   }
 
diff --git a/backend/src/graphql/resolver/const/const.ts b/backend/src/graphql/resolver/const/const.ts
new file mode 100644
index 000000000..e4eb9a13b
--- /dev/null
+++ b/backend/src/graphql/resolver/const/const.ts
@@ -0,0 +1,12 @@
+import Decimal from 'decimal.js-light'
+
+export const MAX_CREATION_AMOUNT = new Decimal(1000)
+export const FULL_CREATION_AVAILABLE = [
+  MAX_CREATION_AMOUNT,
+  MAX_CREATION_AMOUNT,
+  MAX_CREATION_AMOUNT,
+]
+export const CONTRIBUTIONLINK_NAME_MAX_CHARS = 100
+export const CONTRIBUTIONLINK_NAME_MIN_CHARS = 5
+export const MEMO_MAX_CHARS = 255
+export const MEMO_MIN_CHARS = 5
diff --git a/backend/src/graphql/resolver/util/creations.ts b/backend/src/graphql/resolver/util/creations.ts
new file mode 100644
index 000000000..ad15ebec6
--- /dev/null
+++ b/backend/src/graphql/resolver/util/creations.ts
@@ -0,0 +1,130 @@
+import { TransactionTypeId } from '@/graphql/enum/TransactionTypeId'
+import { backendLogger as logger } from '@/server/logger'
+import { getConnection } from '@dbTools/typeorm'
+import { Contribution } from '@entity/Contribution'
+import Decimal from 'decimal.js-light'
+import { FULL_CREATION_AVAILABLE, MAX_CREATION_AMOUNT } from '../const/const'
+
+interface CreationMap {
+  id: number
+  creations: Decimal[]
+}
+
+export const validateContribution = (
+  creations: Decimal[],
+  amount: Decimal,
+  creationDate: Date,
+): void => {
+  logger.trace('isContributionValid', creations, amount, creationDate)
+  const index = getCreationIndex(creationDate.getMonth())
+
+  if (index < 0) {
+    throw new Error('No information for available creations for the given date')
+  }
+
+  if (amount.greaterThan(creations[index].toString())) {
+    throw new Error(
+      `The amount (${amount} GDD) to be created exceeds the amount (${creations[index]} GDD) still available for this month.`,
+    )
+  }
+}
+
+export const getUserCreations = async (
+  ids: number[],
+  includePending = true,
+): Promise<CreationMap[]> => {
+  logger.trace('getUserCreations:', ids, includePending)
+  const months = getCreationMonths()
+  logger.trace('getUserCreations months', months)
+
+  const queryRunner = getConnection().createQueryRunner()
+  await queryRunner.connect()
+
+  const dateFilter = 'last_day(curdate() - interval 3 month) + interval 1 day'
+  logger.trace('getUserCreations dateFilter', dateFilter)
+
+  const unionString = includePending
+    ? `
+    UNION
+      SELECT contribution_date AS date, amount AS amount, user_id AS userId FROM contributions
+        WHERE user_id IN (${ids.toString()})
+        AND contribution_date >= ${dateFilter}
+        AND confirmed_at IS NULL AND deleted_at IS NULL`
+    : ''
+
+  const unionQuery = await queryRunner.manager.query(`
+    SELECT MONTH(date) AS month, sum(amount) AS sum, userId AS id FROM
+      (SELECT creation_date AS date, amount AS amount, user_id AS userId FROM transactions
+        WHERE user_id IN (${ids.toString()})
+        AND type_id = ${TransactionTypeId.CREATION}
+        AND creation_date >= ${dateFilter}
+      ${unionString}) AS result
+    GROUP BY month, userId
+    ORDER BY date DESC
+  `)
+
+  await queryRunner.release()
+
+  return ids.map((id) => {
+    return {
+      id,
+      creations: months.map((month) => {
+        const creation = unionQuery.find(
+          (raw: { month: string; id: string; creation: number[] }) =>
+            parseInt(raw.month) === month && parseInt(raw.id) === id,
+        )
+        return MAX_CREATION_AMOUNT.minus(creation ? creation.sum : 0)
+      }),
+    }
+  })
+}
+
+export const getUserCreation = async (id: number, includePending = true): Promise<Decimal[]> => {
+  logger.trace('getUserCreation', id, includePending)
+  const creations = await getUserCreations([id], includePending)
+  return creations[0] ? creations[0].creations : FULL_CREATION_AVAILABLE
+}
+
+export const getCreationMonths = (): number[] => {
+  const now = new Date(Date.now())
+  return [
+    now.getMonth() + 1,
+    new Date(now.getFullYear(), now.getMonth() - 1, 1).getMonth() + 1,
+    new Date(now.getFullYear(), now.getMonth() - 2, 1).getMonth() + 1,
+  ].reverse()
+}
+
+export const getCreationIndex = (month: number): number => {
+  return getCreationMonths().findIndex((el) => el === month + 1)
+}
+
+export const isStartEndDateValid = (
+  startDate: string | null | undefined,
+  endDate: string | null | undefined,
+): void => {
+  if (!startDate) {
+    logger.error('Start-Date is not initialized. A Start-Date must be set!')
+    throw new Error('Start-Date is not initialized. A Start-Date must be set!')
+  }
+
+  if (!endDate) {
+    logger.error('End-Date is not initialized. An End-Date must be set!')
+    throw new Error('End-Date is not initialized. An End-Date must be set!')
+  }
+
+  // check if endDate is before startDate
+  if (new Date(endDate).getTime() - new Date(startDate).getTime() < 0) {
+    logger.error(`The value of validFrom must before or equals the validTo!`)
+    throw new Error(`The value of validFrom must before or equals the validTo!`)
+  }
+}
+
+export const updateCreations = (creations: Decimal[], contribution: Contribution): Decimal[] => {
+  const index = getCreationIndex(contribution.contributionDate.getMonth())
+
+  if (index < 0) {
+    throw new Error('You cannot create GDD for a month older than the last three months.')
+  }
+  creations[index] = creations[index].plus(contribution.amount.toString())
+  return creations
+}
diff --git a/backend/src/mailer/sendAccountMultiRegistrationEmail.test.ts b/backend/src/mailer/sendAccountMultiRegistrationEmail.test.ts
new file mode 100644
index 000000000..bb37a196e
--- /dev/null
+++ b/backend/src/mailer/sendAccountMultiRegistrationEmail.test.ts
@@ -0,0 +1,31 @@
+import CONFIG from '@/config'
+import { sendAccountMultiRegistrationEmail } from './sendAccountMultiRegistrationEmail'
+import { sendEMail } from './sendEMail'
+
+jest.mock('./sendEMail', () => {
+  return {
+    __esModule: true,
+    sendEMail: jest.fn(),
+  }
+})
+
+describe('sendAccountMultiRegistrationEmail', () => {
+  beforeEach(async () => {
+    await sendAccountMultiRegistrationEmail({
+      firstName: 'Peter',
+      lastName: 'Lustig',
+      email: 'peter@lustig.de',
+    })
+  })
+
+  it('calls sendEMail', () => {
+    expect(sendEMail).toBeCalledWith({
+      to: `Peter Lustig <peter@lustig.de>`,
+      subject: 'Gradido: Erneuter Registrierungsversuch mit deiner E-Mail',
+      text:
+        expect.stringContaining('Hallo Peter Lustig') &&
+        expect.stringContaining(CONFIG.EMAIL_LINK_FORGOTPASSWORD) &&
+        expect.stringContaining('https://gradido.net/de/contact/'),
+    })
+  })
+})
diff --git a/backend/src/mailer/sendAccountMultiRegistrationEmail.ts b/backend/src/mailer/sendAccountMultiRegistrationEmail.ts
new file mode 100644
index 000000000..18928770b
--- /dev/null
+++ b/backend/src/mailer/sendAccountMultiRegistrationEmail.ts
@@ -0,0 +1,18 @@
+import { sendEMail } from './sendEMail'
+import { accountMultiRegistration } from './text/accountMultiRegistration'
+import CONFIG from '@/config'
+
+export const sendAccountMultiRegistrationEmail = (data: {
+  firstName: string
+  lastName: string
+  email: string
+}): Promise<boolean> => {
+  return sendEMail({
+    to: `${data.firstName} ${data.lastName} <${data.email}>`,
+    subject: accountMultiRegistration.de.subject,
+    text: accountMultiRegistration.de.text({
+      ...data,
+      resendLink: CONFIG.EMAIL_LINK_FORGOTPASSWORD,
+    }),
+  })
+}
